Subject: California Sunset Azalea

From: [email-masked] (BSandor)
Date: 3 Mar 1995 09:30:41 -0500

I have been given an azalea called California Sunset.  It's a nice
flowering houseplant with pink flowers with white edges.  I treated it
like any other indoor azalea but all of the blooms wilted rather quickly. 
It's foliage is still nice and dark green.  Any ideas?  Does anyone know
what its blooming cycle is?

Also, can this be moved outdoors permanently or is it only a houseplant
variety?
Thanks,
Bela